[arch-commits] Commit in libidl2/trunk (PKGBUILD libidl2.install)

Jan de Groot jgc at archlinux.org
Sat Aug 23 09:36:12 EDT 2008


    Date: Saturday, August 23, 2008 @ 09:36:12
  Author: jgc
Revision: 10036

upgpkg: libidl2 0.8.11-1
    Fix info installation

Added:
  libidl2/trunk/libidl2.install
Modified:
  libidl2/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   12 ++++++++----
 libidl2.install |   13 +++++++++++++
 2 files changed, 21 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-23 13:12:11 UTC (rev 10035)
+++ PKGBUILD	2008-08-23 13:36:12 UTC (rev 10036)
@@ -3,21 +3,25 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=libidl2
-pkgver=0.8.10
+pkgver=0.8.11
 pkgrel=1
 pkgdesc="A front-end for CORBA 2.2 IDL and Netscape's XPIDL"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('glib2>=2.14.1')
+depends=('glib2>=2.16.5')
 makedepends=('pkgconfig')
+install=libidl2.install
 options=('!libtool' '!emptydirs')
 source=(http://ftp.gnome.org/pub/gnome/sources/libIDL/0.8/libIDL-${pkgver}.tar.bz2)
 url="http://www.gnome.org"
-md5sums=('9e10a77ff225587e59c0a28c66b4faa7')
+md5sums=('9d0d4895fc23f7de9514fb13f0fdc9ba')
 
 build() {
   cd ${startdir}/src/libIDL-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  
+  rm -f ${pkgdir}/usr/share/info/dir
+  gzip -9nf ${pkgdir}/usr/share/info/*
 }

Added: libidl2.install
===================================================================
--- libidl2.install	                        (rev 0)
+++ libidl2.install	2008-08-23 13:36:12 UTC (rev 10036)
@@ -0,0 +1,13 @@
+info_dir=/usr/share/info
+
+post_install() {
+  install-info ${info_dir}/libIDL2.info.gz ${info_dir}/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  install-info --delete ${info_dir}/libIDL2.info.gz ${info_dir}/dir 2> /dev/null
+}




More information about the arch-commits mailing list